%global npm_name node-static
%global enable_tests 0

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       Simple, compliant file streaming module for node
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       0.6.9
Release:       2%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/cloudhead/node-static
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: %{?scl_prefix}nodejs-devel
%if 0%{?enable_tests}
BuildRequires:  npm(vows)
%endif
BuildArch:     noarch

%description
node-static is a simple, *rfc 2616 compliant* file streaming module 
for [node](http://nodejs.org)

node-static has an in-memory file cache, making it highly efficient.
node-static understands and supports *conditional GET* and *HEAD* requests.
node-static was inspired by some of the other static-file serving modules
  out there, such as node-paperboy and antinode.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr benchmark bin etc examples lib package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{npm_name}/bin/cli.js %{buildroot}%{_bindir}/static

%if 0%{?enable_tests}
%check
vows --spec --isolate
%endif

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/static

%changelog
* Mon Aug 05 2013 Troy Dawson <tdawson@redhat.com> - 0.6.9-2
- Add support for software collections

* Thu Feb 16 2012 Troy Dawson <tdawson@redhat.com> - 0.6.9-1
- Initial build

